Bug 1325123 - perl-XML-XPath-1.34-1.fc25 FTBFS: Cannot open file [MYMETA.json]: No such file or directory
Summary: perl-XML-XPath-1.34-1.fc25 FTBFS: Cannot open file [MYMETA.json]: No such fil...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-XML-XPath
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL: https://apps.fedoraproject.org/kosche...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-08 10:49 UTC by Petr Pisar
Modified: 2016-04-18 17:24 UTC (History)
3 users (show)

Fixed In Version: perl-XML-XPath-1.34-2.fc25 perl-XML-XPath-1.36-1.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-18 17:24:47 UTC


Attachments (Terms of Use)

Description Petr Pisar 2016-04-08 10:49:01 UTC
perl-XML-XPath-1.34-1.fc25 fails to build in F25 if weak dependencies are disabled:

t/insert.t .................... ok
Cannot open file [MYMETA.json]: No such file or directory at /usr/share/perl5/vendor_perl/Test/CPAN/Meta/JSON.pm line 167.
t/meta-json.t ................. 
Dubious, test returned 2 (wstat 512, 0x200)
No subtests run 
#   Failed test 'MYMETA.yml contains valid YAML'
#   at t/meta-yml.t line 11.
#   Failed test 'MYMETA.yml meets the designated specification'
#   at t/meta-yml.t line 11.
#   ERR: can't open MYMETA.yml for reading: No such file or directory at /usr/share/perl5/vendor_perl/Parse/CPAN/Meta.pm line 90.
#   Failed test 'MYMETA.yml distribution version matches'
#   at t/meta-yml.t line 14.
#          got: undef
#     expected: '1.34'
# Looks like you failed 3 tests of 3.
t/meta-yml.t .................. 
Dubious, test returned 3 (wstat 768, 0x300)
Failed 3/3 subtests 

This is because ExtUtils::MakeMaker generates MYMETA files only if CPAN::Meta is installed. And because it's optional, CPAN::Meta is only recommended by perl-ExtUtils-MakeMaker.

Solution is either build-require perl(CPAN::Meta) by perl-XML-XPath or change t/meta-json.t and t/meta-yml.t tests to check for existence of the files and skipt the tests otherwise.

Comment 1 Fedora Update System 2016-04-08 13:10:08 UTC
perl-XML-XPath-1.34-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b6243375e

Comment 2 Fedora Update System 2016-04-09 18:52:47 UTC
perl-XML-XPath-1.34-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-4b6243375e

Comment 3 Fedora Update System 2016-04-11 11:29:25 UTC
perl-XML-XPath-1.35-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8297ab617

Comment 4 Fedora Update System 2016-04-12 10:54:03 UTC
perl-XML-XPath-1.35-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e8297ab617

Comment 5 Fedora Update System 2016-04-14 16:18:39 UTC
perl-XML-XPath-1.36-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c0d5c5951

Comment 6 Fedora Update System 2016-04-15 08:36:53 UTC
perl-XML-XPath-1.36-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c0d5c5951

Comment 7 Fedora Update System 2016-04-18 17:24:40 UTC
perl-XML-XPath-1.36-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.